PO4A-NORMALIZE.1P(1)

NOME
po4a-normalize - normaliza um arquivo de documentação analisando-o no po4a e escrevendo de volta

SINOPSE
po4a-normalize -f fmt mestre.doc

DESCRIÇÃO
O objetivo do projeto po4a (PO for anything, ou PO para qualquer coisa) é facilitar traduções (e o mais interessante, a manutenção das traduções) usando as ferramentas do gettext em áreas em que não se esperava, como documentação.

O script po4a-normalize é uma ferramenta de depuração usada para certificar-se de que po4a não altere o documento quando não deveria. Apenas use-o se você está desenvolvendo um novo módulo ou se você duvida da sanidade das ferramentas.

O documento gerado vai ser escrito para po4a-normalize.output enquanto o arquivo POT gerado vai ser escrito para po4a-normalize.po por padrão, mas você pode usar as opções --localized e --pot para alterar isso.

OPÇÕES

-o, --option
    Opções extras para passar o plug-in de formato. Veja a documentação de cada plug-in para mais informações sobre as opções válidas e seus significados. Por exemplo, você poderia passar "-o tablecells" para o analisador AsciiDoc, enquanto o analisador de texto aceitaria "-o tabs=split".

-w, --width
    Column at which we should wrap the resulting file if the format supports it (default: 76).

-b, --blank
    Cria um documento traduzido em branco. O documento trazido gerado vai ser gerado supondo que todas as mensagens estão traduzidas por um espaço ou nova linha.

    Isso é útil para verificar quais partes do documento não pode ser traduzido.

    Both --blank and --capitalize can't be specified at the same time.

-C, --capitalize
    Create a translated document and corresponding po-file with original strings translated as their capitalized versions.

    This is useful to check what parts of the document cannot be translated and generate test data for po4a.

    Both --blank and --capitalize can't be specified at the same time.

-h, --help
    Mostra uma mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos pelo po4a.

-f, --format
    Formato da documentação que você quer manipular. Use a opção --help-format para ver a lista de formatos disponíveis.

-M, --master-charset
    Conjunto de caracteres do arquivo contendo o documento para traduzir.

-l, --localized
    Nome do arquivo normalizado para produzir (po4a-normalize.output por padrão).

-p, --pot
    Arquivo pot a ser produzido (po4a-normalize.po por padrão).

-V, --version
    Exibe a versão do script e sai.

VEJA TAMBÉM
po4a-gettextize(1), po4a-translate(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

COPYRIGHT E LICENÇA
Copyright 2002-2023 por SPI, inc.

Esse programa é um software livre; você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL v2.0 ou posterior (veja o arquivo COPYING).